﻿using System;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using Syncfusion.Windows.Forms.Chart.Utils;
using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Drawing;
using Syncfusion.ComponentModel;

using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Drawing.Imaging;

namespace WindowsFormsApplication11
{
    public partial class Form1 : Form
    {
        
        ChartControl chart = new ChartControl();
        //Initialize DataModel
        DataModel myDataModel = new DataModel();
        ContextMenu obj = new System.Windows.Forms.ContextMenu();
        
        public Form1()
        {
            InitializeComponent();
        }
        

        private void Form1_Load(object sender, EventArgs e)
        {
            
            //Initialize Chart
           
            chart.Height = 400;
            chart.Width = 900;
         
            //Initialize series1 BindingModel
            ChartDataBindModel Series1Model= new ChartDataBindModel();
            Series1Model.DataSource = myDataModel.DataCollection;
            Series1Model.YNames= new string[]{"yName"};
            

     

            //Creating Series 1
            ChartSeries series1 = new ChartSeries();
            series1.SeriesModel = Series1Model;
            series1.Type = ChartSeriesType.Line;
            series1.Style.Border.Width = 3;
            series1.Text = "Series 1";
            
            //chart.Legend.Visible = false;
            chart.Series.Add(series1);
            chart.PrimaryXAxis.Title = "Month";
            chart.PrimaryYAxis.Title = "Sales";
            chart.ShowToolbar = true;

            // Removing the series type toolbar item.
            chart.ToolBar.Items.RemoveAt(7);



            ChartToolBarItem x1 = new ChartToolBarItem();
            Bitmap bmp = new Bitmap(WindowsFormsApplication11.Properties.Resources._2d_16);
            Image v = bmp;
            x1.Image = v;
            x1.Name = "series";
            chart.ToolBar.Items.Add(x1);
            string[] arr1 = new string[] { "column", "line", "pie" };
            for (int i = 0; i < arr1.Length; i++)
            {
                MenuItem MenuItem = new MenuItem(arr1[i], new EventHandler(OnTypeMenuClick));
                obj.MenuItems.Add(MenuItem);
            }
            chart.ToolBar.ItemClick += ToolBar_ItemClick;
            this.Controls.Add(chart);
        }

        void ToolBar_ItemClick(object sender, EventArgs e)
        {
            if (((sender as ChartToolBarItem) as ChartToolBarItemBase).Name == "series")
            {
                obj.Show(chart, new Point(100, 40));
            }         

            
        }
        void OnTypeMenuClick(object sender, EventArgs e)
        {
            for (int i = 0; i < this.chart.Series.Count; i++)
            {
                this.chart.Series[i].Type = (ChartSeriesType)Enum.Parse(typeof(ChartSeriesType), (sender as MenuItem).Text, true);
               
            }
        }

        
    }

    public class Model
    {
        public double yName { get; set; }

        public int SalesOrder { get; set; }

        public double xName { get; set; }

    }
    public class DataModel
    {
        public DataModel()
        {
            this.DataCollection = new ObservableCollection<Model>();

            DataCollection.Add(new Model() { xName = 0, yName = 14, SalesOrder = 20, });
            DataCollection.Add(new Model() { xName = 1, yName = 15, SalesOrder = 25, });
            DataCollection.Add(new Model() { xName = 2, yName = 19, SalesOrder = 10, });
            DataCollection.Add(new Model() { xName = 3, yName = 21, SalesOrder = 15, });
            DataCollection.Add(new Model() { xName = 4, yName = 23, SalesOrder = 22, });
            DataCollection.Add(new Model() { xName = 5, yName = 25, SalesOrder = 20, });
            DataCollection.Add(new Model() { xName = 6, yName = 26, SalesOrder = 10, });
            DataCollection.Add(new Model() { xName = 7, yName = 31, SalesOrder = 15, });
        }

        public ObservableCollection<Model> DataCollection { get; set; }

    }

}
